Request body
templateobjectRequiredShow 14 child attributesHide child attributes
namestringExample:Wholesale invoicetemplate_typestringExample:invoiceOne ofinvoicepacking_slipcredit_noteaccent_colorstringExample:#0B7285font_familystringExample:Helveticafont_sizeintegerExample:11date_formatstringExample:%d %b %Yinvoice_number_prefixstringExample:WS-logo_urlstringExample:https://example.com/logo.pnglogo_widthintegerExample:120logo_enabledbooleanExample:truepre_selected_ordersbooleanExample:falsepre_selected_draft_ordersbooleanpre_selected_pos_ordersbooleanpre_selected_credit_notesboolean
Returns
The template object.
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
422
Request could not be processed.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
POST/templates
curl -X POST "https://app.invoicefalcon.com/api/v1/external/templates" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"template": {
"name": "Wholesale invoice",
"template_type": "invoice",
"accent_color": "#0B7285",
"font_family": "Helvetica",
"font_size": 11,
"date_format": "%d %b %Y",
"invoice_number_prefix": "WS-",
"logo_url": "https://example.com/logo.png",
"logo_width": 120,
"logo_enabled": true,
"pre_selected_orders": false
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/templates", {
method: "POST",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"template": {
"name": "Wholesale invoice",
"template_type": "invoice",
"accent_color": "#0B7285",
"font_family": "Helvetica",
"font_size": 11,
"date_format": "%d %b %Y",
"invoice_number_prefix": "WS-",
"logo_url": "https://example.com/logo.png",
"logo_width": 120,
"logo_enabled": true,
"pre_selected_orders": false
}
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.invoicefalcon.com/api/v1/external/templates",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"template": {
"name": "Wholesale invoice",
"template_type": "invoice",
"accent_color": "#0B7285",
"font_family": "Helvetica",
"font_size": 11,
"date_format": "%d %b %Y",
"invoice_number_prefix": "WS-",
"logo_url": "https://example.com/logo.png",
"logo_width": 120,
"logo_enabled": True,
"pre_selected_orders": False
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/templates")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
template: {
name: "Wholesale invoice",
template_type: "invoice",
accent_color: "#0B7285",
font_family: "Helvetica",
font_size: 11,
date_format: "%d %b %Y",
invoice_number_prefix: "WS-",
logo_url: "https://example.com/logo.png",
logo_width: 120,
logo_enabled: true,
pre_selected_orders: false
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)POST/templates
curl -X POST "https://app.invoicefalcon.com/api/v1/external/templates" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"template": {
"name": "Warehouse packing slip",
"template_type": "packing_slip",
"pre_selected_orders": true
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/templates", {
method: "POST",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"template": {
"name": "Warehouse packing slip",
"template_type": "packing_slip",
"pre_selected_orders": true
}
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.invoicefalcon.com/api/v1/external/templates",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"template": {
"name": "Warehouse packing slip",
"template_type": "packing_slip",
"pre_selected_orders": True
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/templates")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
template: {
name: "Warehouse packing slip",
template_type: "packing_slip",
pre_selected_orders: true
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)POST/templates
curl -X POST "https://app.invoicefalcon.com/api/v1/external/templates" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"template": {
"name": "Credit note",
"template_type": "credit_note",
"pre_selected_credit_notes": true
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/templates", {
method: "POST",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"template": {
"name": "Credit note",
"template_type": "credit_note",
"pre_selected_credit_notes": true
}
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.invoicefalcon.com/api/v1/external/templates",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"template": {
"name": "Credit note",
"template_type": "credit_note",
"pre_selected_credit_notes": True
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/templates")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
template: {
name: "Credit note",
template_type: "credit_note",
pre_selected_credit_notes: true
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"template": {
"id": 311,
"name": "Default invoice",
"template_type": "invoice",
"design_key": "classic",
"pre_selected_orders": true,
"pre_selected_draft_orders": false,
"pre_selected_pos_orders": false,
"pre_selected_credit_notes": false,
"accent_color": "#1F6FEB",
"font_family": "Helvetica",
"font_size": 11,
"date_format": "%d %b %Y",
"invoice_number_prefix": "INV-",
"logo_url": "https://example.com/logo.png",
"logo_width": 120,
"logo_enabled": true,
"created_at": "2025-11-03T14:02:00Z",
"updated_at": "2026-01-10T08:15:00Z"
}
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "param is missing or the value is empty: customer",
"errors": {}
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}